com.smartgwt.client.data

## Class MultiSortDialog

- java.lang.Object
- - com.smartgwt.client.data.MultiSortDialog

-     public class MultiSortDialog
      extends java.lang.Object

  A dialog that allows the user to set up complex sorting arrangements by defining a group of `SortSpecifier`s.

  Each SortSpecifier applies to a single property and direction - so, for instance, in a grid with two columns, year and monthNumber, you could sort first by year in descending order and then by monthNumber in ascending order. T his would producing a grid sorted by year from largest (most recent) to smallest (least recent) and, within each year, by monthNumber from smallest (January) to largest (December).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiSortDialog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `askForSort(DataBoundComponent dataBoundComponent, SortSpecifier[] initialSort, MultiSortCallback callback)` Launches a MultiSortDialog and obtains a sort-definition from the user.
    `static void` | `setTitle(java.lang.String title)` Set the title of the MultiSortDialog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiSortDialog

          public MultiSortDialog()

  - ### Method Detail

    - #### setTitle

          public static void setTitle(java.lang.String title)

      Set the title of the MultiSortDialog.
      Parameters:
        `title` - the title

    - #### askForSort

          public static void askForSort(DataBoundComponent dataBoundComponent,
                        SortSpecifier[] initialSort,
                        MultiSortCallback callback)

      Launches a MultiSortDialog and obtains a sort-definition from the user.
      Parameters:
        `dataBoundComponent` - the databound component to apply the sort to
        `initialSort` - The initial sort definition.
        `callback` - Called when the user defines and accepts one or more SortSpecifiers. Single parameter sortLevels is an Array of SortSpecifier or null if the user cancelled the dialog.